function [base, mesa2, mesa3, mesa4]= mesa_plc(l,h,fc,lt)
% par Patrick LE CALLET 
% l, h : largeur et hauteur de l'image
% fc : tableau des frquences de coupure des mesa
% lt : tableau des coefficients dfinissant la largeur de transition
% pour composante A :
% fc = [1.5 5.7 14.4 28.8]/60
% lt = [2.6 4 8 15]/60
% pour composante Cr1 :
% fc= [1.5 5.7]/60
% lt = [2.8 4.8]/60
% pour composante Cr2 :
% fc = [1.5 5.7]/60
% lt = [2.95 5.8]/60


%dcalage +1 li au recentrage de la composante continu du spectre
offset0l=l/2+1;
offset0h=h/2+1;
%coefficient de normalisation de la frquence/spectre
delta0l=1/l;
delta0h=1/h;

% dfinition d'une grille en frquence normalise
i=1:1:l;
j=1:1:h;
fl=(i-offset0l)*delta0l;
fv=(j-offset0h)*delta0h;
[Fl,Fc]=meshgrid(fl,fv);
w1 = sqrt(Fl.^2+Fc.^2);


% construction de mesa4 
mesa4 = zeros(h,l);
ro_demi = fc(4);
tw = lt(4);
v = find(w1<(ro_demi+tw/2));
mesa4(v) = 0.5*(1+cos(3.1415*(w1(v)-ro_demi+tw/2)/tw));
v = find(w1<(ro_demi-tw/2));
mesa4(v) = 1;

% construction de mesa3
mesa3 = zeros(h,l);
ro_demi = fc(3);
tw = lt(3);
v = find(w1<(ro_demi+tw/2));
mesa3(v) = 0.5*(1+cos(3.1415*(w1(v)-ro_demi+tw/2)/tw));
v = find(w1<(ro_demi-tw/2));
mesa3(v) = 1;

% construction de mesa2
mesa2 = zeros(h,l);
ro_demi = fc(2);
tw = lt(2);
v = find(w1<(ro_demi+tw/2));
mesa2(v) = 0.5*(1+cos(3.1415*(w1(v)-ro_demi+tw/2)/tw));
v = find(w1<(ro_demi-tw/2));
mesa2(v) = 1;

% construction de mesa3 vectorise
base = zeros(h,l);
ro_demi = fc(1);
tw = lt(1);
v = find(w1<(ro_demi+tw/2));
base(v) = 0.5*(1+cos(3.1415*(w1(v)-ro_demi+tw/2)/tw));
v = find(w1<(ro_demi-tw/2));
base(v) = 1;

% pour mmoire
% construction de base vectorise (selon Daly)
%base = zeros(h,l);
%ro_demi = 1/16;
%tw = coeff*ro_demi;
%sigma =(ro_demi+tw/2)/3;
%v = find(w1<(ro_demi+tw/2));
%base(v) = exp(-(w1(v).^2/(2*sigma^2)));
